---
title: "How to contribute"
linkTitle: "Contributing"
date: 2023-03-13T
weight: 7
description: >
    You can help with translations and programming 
---

## Help us translate

We use our own [weblate instance](https://weblate.selfprivacy.org/projects/selfprivacy/selfprivacy-app/) to collaborate.
You can create an account and help us translate the project into your native language.

## If you're a programmer

You can read about how SelfPrivacy works in [documentation](https://selfprivacy.org/docs/theory/).

You can help us close Issues which are marked with the "Contributions welcome" tag. For example, at [this link](https://git.selfprivacy.org/kherel/selfprivacy.org.app/issues?q=&type=all&state=open&labels=118) you will see tasks tagged "Contributions welcome" for the main application.

We cannot approve major changes without the approval of the core developers. Of course you can create a fork of the project, but if you want to get approval, please discuss the proposed changes in one of the project chats:

- [Telegram: @selfprivacy_dev](https://t.me/selfprivacy_dev)
- [Matrix: @dev:selfprivacy.org](https/matrix.to/#/%23dev:selfprivacy.org)

### [Python](https://www.python.org/) / [NixOS](https://nixos.org/) - backend
The server side of SelfPrivacy uses the NixOS distribution, and a daemon program written in Python called SelfPrivacy API. The daemon works to provide a link between your server and SelfPrivacy app. You can read [here](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api/src/branch/master/CONTRIBUTING.md) about how to test and make changes to the SelfPrivacy API.

- [Backend Demon (SelfPrivacy API)](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api)


You can also improve other components:

- [NixOS config](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-nixos-config)
- [NixOS infect](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-nixos-infect)

### [Dart](https://dart.dev/) + [Flatter](https://flutter.dev/) - frontend app

- [Repository](https://git.selfprivacy.org/kherel/selfprivacy.org.app)

### [Hugo](https://gohugo.io/) / [Docsy](https://docsy.dev/)
If you want to improve [our site](https://selfprivacy.org):

- [Main Site + Documentation](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org)


## For any help, please contact our chats:
- [Telegram: @selfprivacy_dev](https://t.me/selfprivacy_dev)
- [Matrix: @dev:selfprivacy.org](https/matrix.to/#/%23dev:selfprivacy.org)