---
title: "Начало работы"
linkTitle: "Начало работы"
weight: 2
description: >
  Как установить и настроить сервер SelfPrivacy?
---

Сервер SelfPrivacy создается поэтапно в течение часа.
Звучит страшно, но уверяю, учёная степень не понадобится. Процесс не сложнее покупки в интернет-магазине.

* Поиск паспорта и карты с балансом $10-15 и $5 в месяц
* Регистрация учётных записей
* Покупка домена
* Подключение домена к DNS серверу
* Создание токенов
* Установка
* Подключение к сервисам

**Если поручите кому-нибудь эту задачу — лишитесь приватности.**
Для 100% независимости и контроля необходимо делать всё самостоятельно.

## Регистрация учётных записей

Для устойчивости и SelfPrivacy требует много учётных записей.
Мы не будем доверять все данные одной компании, лучше распределить части системы по разным местам

{{% alert title="Защита учётных записей" color="warning" %}}
**Системы взламывают через самое слабое звено.**
Чтобы учётные записи не были таким звеном, пароли должны быть разными для каждой учетной записи и сложными.
```MamaMilaRamu```, как ни странно, плохой пароль. Пример хорошего пароля - это парольная фраза:

```expert repose postwar anytime glimpse freestyle liability effects```

или

```}Rj;EtG:,M!bc4/|```

Как такой пароль запомнить? Никак!
Пароли не нужно запоминать, их надо создавать и хранить в менеджере паролей, например [KeePassXC](https://keepassxc.org/download/).
Хотя один помнить придётся — пароль от менеджера паролей.

{{% /alert %}}

### Регистрируемся

* [Hetzner](https://www.hetzner.com) или [DigitalOcean](https://www.digitalocean.com) — хостинги виртуальных серверов.
Какой выберете, в том и будут жить ваши данные и сервисы SelfPrivacy.
* Любой регистратор доменов, к примеру [Porkbun](https://porkbun.com) (можно оплачивать криптовалютой) .
* для покупки личного адреса в интернете — домена, который будет указывать на сервер.
* На выбор: [deSEC](https://desec.io/), [DigitalOcean DNS](https://docs.digitalocean.com/products/networking/dns/), [CloudFlare](https://cloudflare.com) (не рекомендуем) — DNS сервер, где работает ваш домен.
* [Backblaze](https://www.backblaze.com/) — IaaS провайдер, для хранения резервных копий ваших данных
в зашифрованном виде.

Регистрация заурядна, но иногда проверка учётной записи длится несколько дней или требует дополнительных документов.
Поэтому используйте настоящие документы и заполняйте всё аккуратно.
Провайдеры так защищаются от спамеров, ничего личного)

**Обязательно включите дополнительную защиту учётных записей — второй фактор (MFA, 2FA).**
Без этого простого шага ваши данные не будут в безопасности.

Я знаю, было сложно, но теперь ваши данные защищены лучше, чем у 95% пользователей.
Можете собой гордиться! Я вот вами уже горжусь 🤗

## Покупка домена

Включили второй фактор? Я серьёзно! Тогда переходим к интересному!

**_Домен_ — это кусочек интернета, которому вы даёте имя.**
Простор для творчества огромен, у вас есть 63 символа + .com .org .icu и еще несколько сотен доменов после точки.

Заходим на ваш регистратор домена. В качестве примера будем использовать [Porkbun](https://porkbun.com).

Выбираем домен. Можно выбрать просто по фамилии, например _ivanov.live_ или _ivanov.health_, а можно и что-то творческое — *shit-happens.shop*

### Рекомендации

* **Обязательно смотреть на цену ежегодного продления,** она может в разы превышать стоимость покупки.
* **Нормальная цена домена $8-10 в год.**
* **При регистрации домена обязательно указывать реальные почту и телефон, иначе регистрацию могут аннулировать.** И если вы не сможете продлить домен, система не будет работать так, как задумано.
* Выбирайте хорошее имя, которое удобно и по телефону диктовать, и на деловой визитке указать.
* **Я уже говорил про второй фактор?**

## Подключение домена к DNS серверу

{{< tabpane text=true >}}
  {{% tab "deSEC" %}}

### Если вы выбрали deSEC: Как добавить домен

1. Переходим по [ссылке](https://desec.io/domains), входим в аккаунт.
2. Нажимаем на **плюс**.
  
{{< imgproc dns_add_domain Fill "626x287" />}}

3. Вводим ваш домен. Нажимаем **Save**.
4. Копируем имена полученные в поле **Nameservers**.

{{< imgproc dns_add_domain2 Fill "626x287" />}}

На примере домена cat-meowmeow.corp мы получили имена серверов: **ns1.desec.io**
и **ns2.desec.org**. Имена серверов у вас могут отличаться.

{{% /tab %}}
  {{% tab "Cloudflare" %}}

### Если вы выбрали Cloudflare: Как добавить домен

1. Переходим по [ссылке](https://dash.cloudflare.com), входим в аккаунт.
2. Слева в меню нажимаем **Websites**, далее синюю кнопку **Get started**.
{{< imgproc dns_add_domain_cloudflare Fill "626x287" />}}

1. Выбираем бесплатный тариф **Free**, нажимаем **Continue**.
{{< imgproc dns_add_domain_cloudflare2 Fill "626x287" />}}

1. На вкладке **Review DNS records** ничего не меняем. Нажимаем **Continue**.
{{< imgproc dns_add_domain_cloudflare3 Fill "626x287" />}}

1. В пункте 3, копируем имена **nameservers**. После нажимаем **Continue**.
{{< imgproc dns_add_domain_cloudflare4 Fill "626x287" />}}

1. Финальная страница, нажимаем **Finish later**.
{{< imgproc dns_add_domain_cloudflare5 Fill "626x287" />}}

Только что мы выбрали бесплатный тариф и получили имена серверов: **alberto.ns.cloudflare.com**
и **michelle.ns.cloudflare.com**. У вас имена серверов могут отличаться.

{{% /tab %}}
  {{% tab "DigitalOcean DNS" %}}

### Если вы выбрали DigitalOcean DNS: Как добавить домен

Если вы планируете использовать DigitalOcean и для сервера, и для DNS (что мы не рекомендуем),
то вам **необходимо будет создать отдельный проект для DNS записей**.

DigitalOcean предоставляет только токены которые дают полный доступ ко всему в проекте.
Токен для сервера остаётся на вашем устройстве, однако токен для DNS записей будет отправлен на ваш новый сервер.
Если токен для DNS будет иметь доступ к самому серверу, в случае его взлома, злоумышленник сможет уничтожить сам сервер.

1. Создайте новый проект, перейдите в управление новым проектом.

2. Нажимаем сверху на кнопку **Create**, выбираем **Domain/DNS**.
{{< imgproc do Fill "626x287" />}}

3. Вводим имя своего домена, выбираем проект созданный под управление доменом.
{{< imgproc do2 Fill "626x287" />}}

4. Нажимаем **Add Domain**.

Получаем имена серверов, которые понадобятся нам на следующем этапе.

{{% /tab %}}
{{< /tabpane >}}

## Используем полученные имена у своего регистратора

DigitalOcean имеет [хорошую инструкцию](https://docs.digitalocean.com/products/networking/dns/getting-started/dns-registrars/#instructions) для многих популярных регистраторов. Даже если вы не используете DigitalOcean в качестве DNS, эта инструкция может вам помочь!

Далее инструкция для [Porkbun](https://porkbun.com), но вы можете использовать свой регистратор домена, действия должны быть примерно схожи.

1. Переходим в панель управления доменами.
{{< imgproc porkbun Fill "626x287" />}}

2. Наводимся мышкой на купленный домен, нажимаем **DNS**.
{{< imgproc porkbun2 Fill "626x287" />}}

3. В панели управления доменом находим параметр **Authoritative nameservers**.
{{< imgproc porkbun3 Fill "626x287" />}}

4. Нажимаем **Edit**.

5. Заносим туда имена серверов, которые получили на предудущем этапе.

Через несколько минут или, в худшем случае, до двух суток настройки применятся.

## Создание токенов

**_API ключи_ — это почти то же самое, что и логин с паролем, только для программы, а не человека.**
Мобильное приложение SelfPrivacy с их помощью управляет сервисами во всех учётных записях вместо вас. Удобно!

Нам не нужен токен для регистратора домена. Но нам понадобится токен DNS провайдера, чтобы управлять доменомом.

{{< tabpane text=true >}}
  {{% tab "deSEC" %}}

### Если вы выбрали deSEC: Как получить токен

1. Авторизуемся в [deSEC](https://desec.io/login)
  
2. Переходим на страницу [Domains](https://desec.io/domains)

3. Переходим на вкладку **Token management**.

4. Нажимаем на большую кнопку с "плюсом" в правом верхнем углу страницы.

{{< imgproc desec_token Fill "626x287" />}}

5. Должен был появиться "**Generate New Token**" диалог. Вводим любое имя токена в **Token name**.
*Advanced settings* необязательны, так что ничего там не трогаем.

6. Кликаем **Save**.

7. Обязательно сохраняем "**secret value**" ключ токена, потому что он отображается исключительно один раз.

{{< imgproc desec_token2 Fill "626x287" />}}

8. Теперь спокойно закрываем диалог, нажав **close**.

{{% /tab %}}

  {{% tab "Cloudflare" %}}

### Если вы выбрали Cloudflare: Как получить токен

{{< video src="Cloudflare" muted="true" autoplay="true" autoplay="true" loop="true" >}}

1. Переходим по [ссылке](https://dash.cloudflare.com/) и авторизуемся в ранее созданном аккаунте.

2. В правом верхнем углу кликаем на иконку профиля (для мобильной версии сайта: в верхнем левом углу нажимаем
кнопку **Меню** с тремя горизонтальными полосками). В выпавшем меню кликаем на пункт **My Profile**.

{{< imgproc cl_token Fill "626x287" />}}

3. Нам предлагается на выбор, четыре категории настройки: **Preferences**, **Authentication**, **API Tokens**,
**Sessions**. Выбираем **API Tokens**.

4. Самым первым пунктом видим кнопку **Create Token**. С полной уверенностью в себе и желанием обрести приватность,
нажимаем на неё.

5. Спускаемся в самый низ и видим поле **Create Custom Token** и кнопку **Get Started** с правой стороны. Нажимаем.

6. В поле **Token Name** даём своему токену имя.
Можете покреативить и отнестись к этому как к наименованию домашнего зверька :)

7. Далее, у нас **Permissions**. В первом поле выбираем **Zone**.
Во втором поле, по центру, выбираем **DNS**. В последнем поле выбираем **Edit**.

8. Нажимаем на синюю надпись снизу **+ Add more** (сразу же под левым полем которое мы заполняли ранее).
Вуаля, у нас появились новые поля. Заполняем по аналогии с предыдущим пунктом,
в первом поле выбираем **Zone**, во-втором тоже **Zone**. А уже в третьем нажимаем на **Read**.
Давайте сверим с тем, что у вас получилось:

{{< imgproc cl_token2 Fill "626x287" />}}

Ваш выбор должен выглядеть так.

9. Далее смотрим на **Zone Resources**. Под этой надписью есть строка с двумя полями.
В первом должно быть **Include**, а во втором — **Specific Zone**. Как только Вы выберите **Specific Zone**,
справа появится ещё одно поле. В нём выбираем наш домен.

10. Листаем в самый низ и нажимаем на синюю кнопку **Continue to Summary**.

11. Проверяем, всё ли мы правильно выбрали. Должна присутствовать подобная строка: ваш.домен — **DNS:Edit, Zone:Read**.

12. Нажимаем **Create Token**.

13. Копируем созданный токен.

{{% /tab %}}s

  {{% tab "DigitalOcean DNS" %}}

### Если вы выбрали DigitalOcean DNS: Как получить токен

Инструкция по получению токена для DigitalOcean DNS будет аналогичной той, что используется для хостинг-серверов DigitalOcean. Однако для управления DNS вам необходимо было создать отдельный проект. В меню выбора проекта будьте внимательны, чтобы не перепутать. Токены от разных проектов не должны совпадать.

{{< video src="do" muted="true" autoplay="true" loop="true" >}}

1. Перейдите по [ссылке](https://cloud.digitalocean.com/account/) и войдите в ранее созданный аккаунт.

2. В левом меню перейдите на страницу **API** - последний пункт в самом низу.

3. Нажмите **Generate New Token** в меню **Personal Access Tokens**.

4. **Копируем токен**.

{{% /tab %}}

{{< /tabpane >}}

### Как получить токен для провайдера сервера

{{< tabpane text=true >}}

  {{% tab "Hetzner" %}}

### Если вы выбрали Hetzner

1. Переходим по [ссылке](https://console.hetzner.cloud/) и авторизуемся в ранее созданном аккаунте.

2. Заходим в созданный нами проект. Если такового нет — значит создаём.

3. _Наводим мышкой на боковую панель._ Она должна раскрыться, показав нам пункты меню. Нас интересует последний — **Security** (с иконкой ключика).

{{< imgproc hetzner Fill "626x287" />}}

4. Далее, в верхней части интерфейса видим примерно такой список: **SSH KEYS, API TOKENS, CERTIFICATES, MEMBERS.** Нам нужен **API TOKENS**. Переходим по нему.

5. По середине в интерфейсе, нас будет ожидать кнопка **GENERATE API TOKEN**. Нажимаем на эту кнопку.

{{< imgproc hetzner2 Fill "626x287" />}}

6. В поле **Description** даём нашему токену название (это может быть любое название, которое Вам нравится, сути оно не меняет).

7. Под полем **Description** видим возможность выбрать разрешения **PERMISSIONS**. Выбираем **Read & Write**.

8. Нажимаем **GENERATE API TOKEN**.

9. После этого, появиться окно с вашим токеном, сохраняем его.

{{< imgproc hetzner3 Fill "626x287" />}}

{{% /tab %}}

  {{% tab "DigitalOcean" %}}

### Если вы выбралои DigitalOcean

Для вашей безопасности: если вы использовали DigitalOcean в качестве DNS, вам нужно создать отдельный проект.

{{< video src="do" muted="true" autoplay="true" autoplay="true" loop="true" >}}

1. Перейдите по [ссылке](https://cloud.digitalocean.com/account/) и войдите в ранее созданный аккаунт.

2. В левом меню перейдите на страницу **API** - последний пункт в самом низу.

3. Нажмите **Generate New Token** в меню **Personal Access Tokens**.

4. То что нужно, **копируем**.

{{% /tab %}}

{{< /tabpane >}}

## Как получить токен Backblaze

{{< video src="Backblaze" muted="true" autoplay="true" autoplay="true" loop="true" >}}

1. Переходим по [ссылке](https://secure.backblaze.com/user_overview.htm) и авторизуемся в ранее созданном аккаунте.

2. В левой части интерфейса выбираем **App Keys** в подкатегории **Account**

3. Нажимаем на синюю кнопку **Generate New Master Application Key**

4. Во всплывающем окне подтверждаем генерацию

5. Копируем **keyID** и **applicationKey**

---

## Откроем приложение

Заходим в мастер установки. Пора использовать токены, что мы получали ранее.

Приложение предложит вам выбрать местоположение и характеристики сервера. Рекомендуем выбирать сервер, находящийся ближе к вашей текущей локации.
Если у вас около 5 пользователей, минимального сервера по характеристикам будет достаточно.

Приложение предложит создать мастер-аккаунт, который будет выступать в роли администратора. Сохраните пароль от аккаунта в менеджере паролей, например [KeePassXC](https://keepassxc.org/download/).

В финале нажимаем "Создать сервер", процесс может занять до 30 минут.

Если что-то пошло не так, обращайтесь в [чаты поддержки]({{< relref "/docs/FAQ/_index.md#как-получить-помощь" >}}).

---

🎉 Поздравляю! Теперь вы готовы использовать приватные сервисы.

---

### После установки, рекомендуем вам создать ключ восстановления сервера

Если с вашим устройством что-то произойдет, благодаря ключу восстановления, вы сможете безболезненно подключиться к старому серверу.

Перейдите в пункт меню "Ещё", затем "Ключ восстановления". Нажмите "Сгенерировать ключ".

Вы увидите список слов — это и будет ваш ключ. Сохраните его в менеджере паролей, например [KeePassXC](https://keepassxc.org/download/).
В целях безопасности приложение не позволяет скопировать ключ.

**Помните, обладая данным ключом, злоумышленник имеет полный доступ к вашему серверу.**
