---
title: "Как получить root-доступ через SSH"
linkTitle: "Доступ с правами root через SSH"
weight: 1
date: 2023-04-22
description: >
    Если вам нужно вручную выполнить административные задачи, понадобится root-доступ через SSH.
---

Чтобы получить доступ к корневой оболочке вашего сервера, вам необходимо сгенерировать SSH-ключ и добавить его в список авторизованных ключей вашего сервера.

## Как сгенерировать SSH-ключ


{{< tabpane text=true >}}
  {{% tab "Unix-подобная система (ПК)" %}}
### Если вы используете Unix-подобную систему

1. Откройте терминал.
2. Выполните следующую команду:
    ```bash
    ssh-keygen -t ed25519 -f ~/.ssh/id_ed25519
    ```
    Вам будет предложено ввести кодовую фразу. Вы можете оставить ее пустой, но рекомендуется все-таки использовать пароль.

    Если вы не хотите использовать кодовую фразу, просто нажмите **Enter**.
3. Выведите открытый ключ в терминал и скопируйте его:
    ```bash
    cat ~/.ssh/id_ed25519.pub
    ```
4. Обратитесь к следующему разделу, чтобы добавить ключ на ваш сервер.

{{% /tab %}}

  {{% tab "Windows" %}}
### Если вы используете Windows

1. Откройте настройки и в разделе "Приложения" нажмите на "Управление дополнительными компонентами".
2. Нажмите "Добавить компонент".
3. Введите "Клиент OpenSSH" в поле поиска и установите его.
4. Откройте Командную строку. Это можно сделать, нажав **Win+R**, введя `cmd` и нажав **Enter**.
5. Выполните следующую команду, заменив `user_name` на ваше имя пользователя Windows:
    ```ps1
    ssh-keygen -t ed25519 -f C:\Users\user_name\.ssh\id_ed25519
    ```
    Вам будет предложено ввести кодовую фразу. Вы можете оставить ее пустой, но рекомендуется использовать кодовую фразу.

    Если вы не хотите использовать кодовую фразу, нажмите **Enter**.
6. Выведите открытый ключ на терминал и скопируйте его:
    ```ps1
    type C:\Users\user_name\.ssh\id_ed25519.pub
    ```
   Еще раз, замените `user_name` на ваше имя пользователя Windows.
7. Обратитесь к следующему разделу, чтобы добавить ключ на ваш сервер.

{{% /tab %}}

  {{% tab "Android (Termux)" %}}
### Если вы используете Android (Termux)

0. Установите [Termux](https://termux.dev/en/). Мы рекомендуем установить его из F-Droid.
1. Откройте Termux.
2. Выполните следующую команду:
    ```bash
    apt update -y && apt upgrade -y && apt install open-ssh -y &&
    ssh-keygen -t ed25519 -f /data/data/com.termux/files/usr/etc/ssh/ssh_host_ed25519_key
    ```
    Вам будет предложено ввести кодовую фразу. Вы можете оставить ее пустой, но рекомендуется использовать кодовую фразу.

    Если вы не хотите использовать кодовую фразу, нажмите **Enter**.
3. Выведите открытый ключ в терминал и скопируйте его:
    ```bash
    cat /data/data/com.termux/files/usr/etc/ssh/ssh_host_ed25519_key.pub
    ```
4. Обратитесь к следующему разделу, чтобы добавить ключ на ваш сервер.


{{% /tab %}}
{{< /tabpane >}}


## Как добавить ключ на ваш сервер

0. Откройте приложение SelfPrivacy.
1. Перейдите на вкладку "Еще".
2. Нажмите на пункт "SSH-ключи суперпользователя".
3. Нажмите на кнопку "Создать SSH-ключ".
4. Вставьте открытый ключ, который вы скопировали ранее.
5. Нажмите на кнопку "Создать ключ SSH".
6. Откройте список заданий.
7. Нажмите на кнопку "Начать".
8. Через несколько минут вы сможете получить доступ к корневой оболочке вашего сервера через SSH.

{{< imgproc more-superuser Fill "1001x808" />}}


## Как получить доступ к корневой оболочке вашего сервера по SSH

1. Откройте терминал или командную строку.
2. Выполните следующую команду, заменив `server_domain` на домен вашего сервера:
    ```bash
    ssh root@server_domain
    ```
3. Введите парольную фразу, которую вы ввели при генерации SSH-ключа, если ключ защищен паролем.

Будьте осторожны при использовании оболочки root. Если вы не знаете, что делаете, вы можете сломать свой сервер или допустить утечку приватных данных.
Ответственность за последствия ваших действий лежит на вас. Уважайте конфиденциальность свою и других пользователей.
