---
title: "Bitwarden"
date: 2023-01-11T18:09:37+03:00
weigth: 7
description: >
  Ваш менеджер паролей 
---

Специалисты в области информационной безопасности рекомендуют использовать сложные пароли и создавать уникальный для каждого аккаунта. Даже три-четыре пароля сложно запомнить, поэтому люди часто используют одинаковый пароль, либо похожие. Менеджер паролей решает эту проблему: он генерирует сложные пароли и хранит их в удобном виде. 

[Bitwarden](https://bitwarden.com/open-source/) можно скачать и настроить на своем сервере, чем мы пользуемся в рамках проекта SelfPrivacy. В отличие от других свободных парольных менеджеров, Bitwarden обеспечивает простую синхронизацию одной базы между всеми устройствами.

- [Официальный сайт проекта](https://bitwarden.com/open-source/)

## Рекомендуемые клиенты
- WEB-интерфейс: доступен после настройки сервера SelfPrivacy, по адресу `https://password.ВАШ.ДОМЕН`
- [Официальный клиент](https://bitwarden.com/download/) (GNU/Linux, Windows, macOS, Android, iOS)

## Настройка админ токена вручную

Во-первых, убедитесь, что конфигурация вашей системы обновлена. Вы можете нажать кнопку "обновить сервер" в приложении и подождать пару минут, или выполнить следующую команду в терминале:

```bash
cd /etc/nixos
git pull
```

Затем нужно сгенерировать токен администратора. Выполните следующее:

```bash
nix-shell -p openssl --run 'openssl rand -base64 48'
```

Будет выведена строка следующего вида:

```
47pFSgYBbS0G0vCG63nX1yyblzgNaqZ40bNuJnwq2hvOy8ABfe+iHRfBeXlfrRdJ
```

Это будет пароль к вашей учетной записи администратора. Скопируйте его и вставьте в безопасное место. Чтобы установить его, выполним следующее, заменив `PASSWORD` на только что созданный пароль:

```bash
jq '.bitwarden.adminToken = "PASSWORD"'' /etc/nixos/userdata/userdata.json > /etc/nixos/userdata/userdata.json.new && mv /etc/nixos/userdata/userdata.json.new /etc/nixos/userdata/userdata.json
```

Теперь нам нужно применить изменения:

```bash
nixos-rebuild switch
```

После восстановления системы перезапустите Bitwarden:

```bash
systemctl restart vaultwarden
```

Теперь ваш админ интерфейс доступен на `https://password.YOUR.DOMAIN/admin`.